:root {
  --blanco: #ffffff;
  --negro: #000000;
  --color1: #e9d8fa;
  --color2: #b8a4cc;
  --color3: #d9d9d9;
  --color4: #757575;
}

/* Google Fonts */
.roboto-thin {
  font-family: "Roboto", sans-serif;
  font-weight: 100;
  font-style: normal;
}

.roboto-light {
  font-family: "Roboto", sans-serif;
  font-weight: 300;
  font-style: normal;
}

.roboto-regular {
  font-family: "Roboto", sans-serif;
  font-weight: 400;
  font-style: normal;
}

.roboto-medium {
  font-family: "Roboto", sans-serif;
  font-weight: 500;
  font-style: normal;
}

.roboto-bold {
  font-family: "Roboto", sans-serif;
  font-weight: 700;
  font-style: normal;
}

.roboto-black {
  font-family: "Roboto", sans-serif;
  font-weight: 900;
  font-style: normal;
}

.roboto-thin-italic {
  font-family: "Roboto", sans-serif;
  font-weight: 100;
  font-style: italic;
}

.roboto-light-italic {
  font-family: "Roboto", sans-serif;
  font-weight: 300;
  font-style: italic;
}

.roboto-regular-italic {
  font-family: "Roboto", sans-serif;
  font-weight: 400;
  font-style: italic;
}

.roboto-medium-italic {
  font-family: "Roboto", sans-serif;
  font-weight: 500;
  font-style: italic;
}

.roboto-bold-italic {
  font-family: "Roboto", sans-serif;
  font-weight: 700;
  font-style: italic;
}

.roboto-black-italic {
  font-family: "Roboto", sans-serif;
  font-weight: 900;
  font-style: italic;
}

/* Google Fonts END*/

html {
  box-sizing: border-box;
  font-size: 62.5%;
}
*,
*:before,
*:after {
  box-sizing: inherit;
}

h1 {
  font-family: "Roboto", sans-serif;
  font-weight: 100;
  font-style: normal;
  font-size: 4.2rem;
  margin: 0;
}

h2 {
  font-family: "Roboto", sans-serif;
  font-weight: 100;
  font-style: normal;
  font-size: 4.2rem;
  margin: 0;
}

h3 {
  font-family: "roboto-light", sans-serif;
  font-weight: 300;
  font-size: 2.4rem;
}

h4 {
  font-family: "roboto-light", sans-serif;
  font-weight: 300;
  font-size: 2rem;
}

h5 {
  font-family: "roboto-light", sans-serif;
  font-weight: 300;
  font-size: 2.8rem;
}

h6 {
  font-family: "roboto-thin", sans-serif;
  font-weight: 100;
  font-size: 2.8rem;
}

p {
  font-family: "roboto-extra-light", sans-serif;
  font-weight: 200;
  font-size: 1.3rem;
}

input {
  font-family: "roboto-light", sans-serif;
  font-weight: 300;
  font-size: 2.4rem;
}

select {
  font-family: "roboto-light", sans-serif;
  font-weight: 300;
  font-size: 2.4rem;
}

/* appcontainer */

.appcontainerIntro {
  text-align: center;
  max-width: 500px;
  display: flex;
  flex-direction: column;
  text-align: center;
  height: 100vh;
  margin: 0 auto;
  align-items: center;
  justify-content: center;
  overflow: hidden;
}

.appContainerOb {
  max-width: 500px;
  margin: auto;
}

.appContainerFrm {
  text-align: center;
  max-width: 500px;
  width: 90%;
  display: flex;
  flex-direction: column;
  text-align: center;
  height: 100vh;
  margin: auto;
  align-items: center;
  justify-content: center;
  font-family: var(--fuenteprima);
}

/* appcontainer */

.logoIntro {
  color: var(--blanco);
}

/* omitir block */

.o1 {
  display: flex;
  justify-content: end;
  width: 100%;
  padding: 0 40px;
}

/* slider */

.slider-container {
  position: relative;
  width: 100%;
  max-width: 500px;
  overflow: hidden;
  height: 100%;
  margin: 0 auto;
  color: var(--negro);
  margin-bottom: 5%;
}

.slider {
  display: flex;
  transition: transform 0.3s ease-in-out;
}

.section {
  width: 100%;
  flex-shrink: 0;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;
  font-size: 24px;
}

.section .title {
  margin-bottom: 0%;
  text-align: center;
  padding: 0 10%;
}

.section .parra {
  text-align: center;
  width: 71%;
}

.imageBlock {
  width: 100%;
  border-radius: 0 0 32px 32px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.imageBlock img {
  width: 80%;
}

.slider-controls {
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  display: flex;
  z-index: 1;
  margin: 5% 0;
}

.dot {
  width: 10px;
  height: 10px;
  border-radius: 50%;
  background-color: gray;
  margin: 0 5px;
  cursor: pointer;
}

.next-button {
  background-color: var(--primaAlt);
  width: 40%;
  height: 50px;
  color: var(--blanco);
  border-radius: 10px;
  display: flex;
  justify-content: center;
  align-items: center;
  border: none;
  margin: 0 auto;
  margin-top: 20px;
}

#countdown-text {
  width: 100%;
  display: flex;
  justify-content: center;
  position: relative;
  padding: 0 2%;
  text-align: center;
}

/* slider */

/* zoom */

.zoom-container {
  width: 600px;
  overflow: hidden;
  height: 200px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.zoom-container svg {
  animation: zoomAnimation 5s ease-in-out infinite;
}

@keyframes zoomAnimation {
  0%,
  100% {
    transform: scale(1);
  }
  50% {
    transform: scale(
      1.5
    ); /* Cambia el valor para ajustar el nivel de zoom mÃ¡ximo */
  }
}

.bgIntro {
  background-image: url(/p/psitify/img/psitify-mobile.svg);
  background-repeat: no-repeat;
  background-size: cover;
  background-position-y: bottom;
  background-position-x: right;
}

/* encuesta cÃ³digo */

.logo {
  width: 90%;
  display: flex;
  justify-content: end;
  position: relative;
  top: 25px;
  margin: 0 auto;
  padding-right: 5%;
}

.logoFix {
  width: 100%;
  display: flex;
  justify-content: end;
  position: fixed;
  top: 30px;
  margin: 0 auto;
  z-index: 1;
  padding: 0 5%;
}

.encuestaCod {
  width: 100%;
}

.encuestaCod img {
  width: 80%;
  margin-bottom: 5vh;
}

.encuestaCod form {
}

.encuestaCod input {
  width: 25%;
  height: 60px;
  border: none;
  border-radius: 8px;
  margin: 0 1%;
  margin-bottom: 2vh;
  font-size: 4.8rem;
  text-align: center;
}

.encuestaCod button {
  width: 81%;
  height: 60px;
  border-radius: 8px;
  border: none;
  background-color: #ff4a80;
  color: var(--blanco);
}

.encuestaCod h3 {
  color: var(--blanco);
  font-weight: 300;
}

.encuestaCod h4 {
  margin: auto;
  font-weight: 300;
}

/* encuesta cÃ³digo */

/* encuesta apellido  */

.encuestaApell {
  width: 100%;
}

.encuestaApell input {
  width: 81%;
  height: 60px;
  border: none;
  border-radius: 8px;
  margin: 0 1%;
  margin-bottom: 2vh;
  text-align: initial;
  padding-left: 10px;
}

.encuestaApell button {
  width: 81%;
  height: 60px;
  border-radius: 8px;
  border: none;
  background-color: #ff4a80;
  color: var(--blanco);
}

.encuestaApell h3 {
  color: var(--blanco);
  font-weight: 300;
}

.encuestaApell h4 {
  margin: auto;
  font-weight: 300;
}

/* encuesta apellido  */

/* encuesta inicio perfil  */

.encuestaPerfilInit {
  width: 100%;
}

.encuestaPerfilInit h2 {
  color: var(--blanco);
  font-weight: 300;
  letter-spacing: -1px;
}

.cuentaUsuario {
  font-size: 3.2rem;
  color: var(--blanco);
  font-weight: 300;
  letter-spacing: -1px;
  width: 90%;
  margin: auto;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

/* encuesta inicio perfil  */

/* forms */

.forms {
  width: 100%;
  display: flex;
  justify-content: center;
  font-size: 1.6rem;
}

.forms form {
  width: 100%;
  height: 58px;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.forms div {
}

.forms legend {
  color: var(--blanco);
}

.forms input {
  width: 100%;
  height: 58px;
  border-radius: 16px;
  border: none;
  padding-left: 60px;
}

.forms button {
  width: 100%;
  height: 58px;
  background-color: var(--negro);
  color: var(--blanco);
  border-radius: 16px;
  margin-top: 25%;
}

.forms .inputs {
  width: 100%;
  margin-bottom: -12px;
}

/* forms */

/* login */

#loginTelefono {
  display: flex;
  flex-direction: column;
}

#loginSvg-1 {
  display: flex;
  position: relative;
  top: 110px;
}

#loginSvg-2 {
  display: flex;
  position: relative;
  top: 185px;
}

#loginForm {
}

#loginForm div {
  margin-bottom: -8px;
}

#loginForm input {
  padding-left: 14%;
}

#loginForm label {
  display: flex;
  padding-left: 10%;
}

#loginForm p {
  font-family: var(--fuentesecond);
  font-size: 1.6rem;
  font-weight: 200;
}

/* login */

/* encuesta documento */

.encuestaDoc {
}

.encuestaDoc select {
  width: 15%;
  height: 60px;
  border: none;
  border-radius: 8px;
  text-align: center;
}

.encuestaDoc input {
  width: 60%;
  margin: 0;
}

.encuestaDocDiv {
  width: 100%;
  display: flex;
  flex-direction: row;
  align-content: center;
  align-items: center;
  justify-content: center;
  gap: 5%;
}

/* encuesta documento */

/* login usuario */

.usuarioLogin {
  color: white;
  display: flex;
  flex-direction: column;
  margin-top: 15px;
  width: 100%;
  text-align: end;
  padding: 0 5%;
}

.usuarioPanel {
  display: flex;
  width: 100%;
  justify-content: space-between;
  color: white;
  padding: 0 5%;
}

.usuarioPanel__txt {
}

.usuarioPanel__txt h4 {
  font-family: var(--fuenteprima);
  font-weight: 300;
  font-size: 3rem;
}

.usuarioPanel__img {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.usuarioP {
  text-align: left;
  color: white;
  display: flex;
  padding: 0 5%;
}

.usuarioP p {
  font-size: 1.6rem;
  margin: 0;
}

/* login usuario */

/* Archivo nuevo - borrar lo que no se va a usar en la parte de arriba  -------------------------------------------------------------------------------------- */

.botonContContainer {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin-top: 20%;
}

.botonContContainer button {
  width: 174px;
  height: 60px;
  background-color: #b8a4cc;
  border: none;
  border-radius: 16px;
  color: var(--blanco);
}

/* -------------------------------------------------------- */

.containerGlobal {
  width: 100%;
  max-width: 500px;
}

.containerGlobal_2 {
  width: 100%;
  max-width: 500px;
  height: 100%;
}

.bodyLogin {
  font-family: "Arial", sans-serif;
  /* background-color: #f7f7f7; */
  margin: 0;
  padding: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
}

.login-container {
  /* background-color: white; */
  padding: 10%;
  border-radius: 8px;
  /* box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1); */
  width: 100%;
}

.header h1 {
  margin-bottom: 5px;
}

.header p {
  margin-top: 0;
  color: #555;
}

.input-group {
  margin-bottom: 20px;
}

.input-group label {
  display: block;
  margin-bottom: 5px;
}

.input-group input {
  width: 100%;
  padding: 20px 20px 20px 40px;
  border: 1px solid #ddd;
  border-radius: 12px;
  box-sizing: border-box;
  font-family: "roboto-extra-light", sans-serif;
  font-size: 1.6rem;
  background: none;
  position: relative;
  z-index: 02;
}

.input-group__icon {
  padding: 0 15px;
  position: relative;
  top: 40px;
  z-index: 01;
}

/* --------------------------------------------------------------------- */

.login-form button {
  width: 100%;
  padding: 20px;
  border: none;
  background-color: black;
  color: white;
  border-radius: 16px;
  cursor: pointer;
  font-family: "roboto-extra-light", sans-serif;
  font-size: 1.6rem;
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 5px;
  justify-content: center;
}

.login-form button:hover {
  background-color: #d11212;
}

.login-form__icon2 {
}

.login-form__icon3 {
  position: absolute;
  right: 75px; /* Ajusta la distancia desde el borde derecho */
  width: 40px;
  height: 40px;
}

.login-form__icon3 img {
    width: 100%;
}

.login-form__lineh button {
  margin-bottom: 20px;
}

.login-form__display-1 button {
  justify-content: left;
}

.lfButtonDiv-1 {
  display: flex;
}

.lfButtonDiv-2 {
  width: 100%;
  margin-left: -15%;
  text-align: center;
}
/* ---------------------------------- */
/* ----------------------------------------------------------------------------------------------------------------------------------- */

.ContinuarInput {
  display: flex;
  flex-direction: column;
  width: 100%;
  position: fixed;
  bottom: 0;
  margin-bottom: 20%;
}

.ContinuarInput__text {
  width: 100%;
  text-align: left;
  padding: 0 22%;
}

.ContinuarInput__number {
  width: 100%;
}

.ContinuarInput__number input {
  width: 68px;
  height: 62px;
  border-radius: 8px;
  border: none;
  background-color: var(--color3);
  text-align: center;
}

.ContinuarInput__input {
  display: flex;
  flex-direction: row;
  justify-content: center;
  gap: 5%;
}

.selectHabitacion {
  width: 345px;
  height: 60px;
  padding: 20px;
  border-radius: 8px;
  font-family: "roboto-extra-light", sans-serif;
  font-size: 1.6rem;
  padding-left: 10%;
  color: var(--color4);
  position: relative;
  z-index: 02;
  background: none;
}

.selectHabitacion option {
  font-family: "roboto-extra-light", sans-serif;
  font-size: 2rem;
  width: 345px !important;
}

.input-group select {
  width: 100%;
  padding: 20px 20px 20px 40px;
  border: 1px solid #ddd;
  border-radius: 12px;
  box-sizing: border-box;
  font-family: "roboto-extra-light", sans-serif;
  font-size: 1.6rem;
  background: none;
  position: relative;
  z-index: 02;
}

.input-group__icon {
  padding: 0 15px;
  position: relative;
  top: 40px;
  z-index: 01;
}

.logo-login {
  position: fixed;
  width: 180px;
  height: 180px;
  top: 30px; /* Cambia bottom por top */
  right: 30px;
  margin-left:-90%;
  font-size: 30px;
  z-index: 100;
}

.logo-log {
  max-width: 70px; /* Limita el ancho m¨¢ximo del logo a 100px */
}

.input-group__icon {
  padding: 0 15px;
  position: relative;
  top: 40px;
  z-index: 01;
}

/* Archivo nuevo - borrar lo que no se va a usar en la parte de arriba ---------------------------------------------------------------------------------------------- */

/* media querys */

/* height responsive */

/* Media queries */
/* 280px */
@media (min-width: 280px) and (max-width: 319px) {
}
/* 320px */
@media (min-width: 320px) and (max-width: 359px) {
}
/* 360px */
@media (min-width: 360px) and (max-width: 389px) {
}
/* 390px */
@media (min-width: 390px) and (max-width: 429px) {
}
/* 430px */
@media (min-width: 430px) and (max-width: 719px) {
}
/* 720px */
@media (min-width: 720px) and (max-width: 999px) {
}
/* 1000px */
@media (min-width: 1000px) and (max-width: 1399px) {
  .ContinuarInput {
    position: relative;
  }
}
/* 1440px */
@media (min-width: 1440px) and (max-width: 1920px) {
}
/* Media queries end */

/* width responsive */

@media (min-width: 1000px) {
  .ContinuarInput {
    position: relative;
  }
}

/* media querys */
